Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2189445 - perl-DBIx-QueryLog-0.42-13.fc39 FTBFS: File not found: /builddir/build/BUILDROOT/perl-DBIx-QueryLog-0.42-13.fc39.noarch/usr/share/man/man1/*
Summary: perl-DBIx-QueryLog-0.42-13.fc39 FTBFS: File not found: /builddir/build/BUILDR...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-DBIx-QueryLog
Version: rawhide
Hardware: Unspecified
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Denis Fateyev
QA Contact: Fedora Extras Quality Assurance
URL: https://koschei.fedoraproject.org/pac...
Whiteboard:
Depends On:
Blocks: F39FTBFS
TreeView+ depends on / blocked
 
Reported: 2023-04-25 09:38 UTC by Petr Pisar
Modified: 2023-05-05 11:25 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-05-05 11:25:05 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Petr Pisar 2023-04-25 09:38:22 UTC
perl-DBIx-QueryLog-0.42-13.fc39 fails to build in Fedora 39:

RPM build errors:
    File not found: /builddir/build/BUILDROOT/perl-DBIx-QueryLog-0.42-13.fc39.noarch/usr/share/man/man1/*

This is triggered by upgrading a fix in perl-Module-Build-Tiny-0.40:

0.040     2023-02-05 23:06:28+01:00 Europe/Amsterdam (TRIAL RELEASE)
          - Manify .pod after .pm
          - Filter out script documentation from scripts
          - Don't manify podless modules/scripts


Reproducible: Always

Comment 1 Denis Fateyev 2023-05-05 11:25:05 UTC
I've dropped unnecessary man files references

https://koji.fedoraproject.org/koji/taskinfo?taskID=100765061

https://bodhi.fedoraproject.org/updates/FEDORA-2023-a33f8b305a


Note You need to log in before you can comment on or make changes to this bug.